<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8"/>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<title>Image handling examples - Overview</title>
</head>
<body>
<h1>IMAGE HANDLING EXAMPLES</h1>
<ol>
 	<li><a href="https://imagehandling.drossmedia.de/test1.php" target="_blank" rel="noopener" title="IMG tag, no lazy load" aria-label="IMG tag, no lazy load">IMG tag, no lazy load</a></li>
 	<li><a href="https://imagehandling.drossmedia.de/test2.php" target="_blank" rel="noopener" title="IMG tag + native lazy load + lazy load by Lazysizes" aria-label="IMG tag + native lazy load + lazy load by Lazysizes">IMG tag + native lazy load + lazy load by Lazysizes</a></li>
<ol>	<li><a href="https://imagehandling.drossmedia.de/test2_1.php" target="_blank" rel="noopener" title="IMG tag + native lazy load + lazy load by Lazysizes - resolution switching: Same size, different resolutions" aria-label="IMG tag + native lazy load + lazy load by Lazysizes - resolution switching: Same size, different resolutions">IMG tag + native lazy load + lazy load by Lazysizes - resolution switching: Same size, different resolutions</a></li>
		<li><a href="https://imagehandling.drossmedia.de/test2_2.php" target="_blank" rel="noopener" title="IMG tag + native lazy load + lazy load by Lazysizes - resolution switching: by different sizes" aria-label="IMG tag + native lazy load + lazy load by Lazysizes - resolution switching: by different sizes">IMG tag + native lazy load + lazy load by Lazysizes - resolution switching: by different sizes</a></li>
</ol>	<li><a href="https://imagehandling.drossmedia.de/test3.php" target="_blank" rel="noopener" title="IMG tag + native lazy load + lazy load by Lazysizes + Microformat Schema for image SEO" aria-label="IMG tag + native lazy load + lazy load by Lazysizes + Microformat Schema for image SEO"><strong>IMG tag + native lazy load + lazy load by Lazysizes + Microformat Schema for image SEO</strong></a></li>
	<li><a href="https://imagehandling.drossmedia.de/test4.php" target="_blank" rel="noopener" title="IMG tag to PICTURE tag + webP, no lazy load" aria-label="IMG tag to PICTURE tag + webP, no lazy load">IMG tag to PICTURE tag + webP, no lazy load</a></li>
 	<li><a href="https://imagehandling.drossmedia.de/test5.php" target="_blank" rel="noopener" title="PICTURE tag + webP + native lazy load + lazy load by Lazysizes" aria-label="PICTURE tag + webP + native lazy load + lazy load by Lazysizes">PICTURE tag + webP + native lazy load + lazy load by Lazysizes</a></li>
 	<li><a href="https://imagehandling.drossmedia.de/test6.php" target="_blank" rel="noopener" title="PICTURE tag + webP + responsive/ scaled images, no lazy load" aria-label="PICTURE tag + webP + responsive/ scaled images, no lazy load">PICTURE tag + webP + responsive/ scaled images, no lazy load</a></li>
 	<li><a href="https://imagehandling.drossmedia.de/test7.php" target="_blank" rel="noopener" title="PICTURE tag + webP + native lazy load + lazy load by Lazysizes + responsive/ scaled images" aria-label="PICTURE tag + webP + native lazy load + lazy load by Lazysizes + responsive/ scaled images">PICTURE tag + webP + native lazy load + lazy load by Lazysizes + responsive/ scaled images</a></li>
	<li><a href="https://imagehandling.drossmedia.de/test8.php" target="_blank" rel="noopener" title="PICTURE tag + webP + native lazy load + lazy load by Lazysizes + responsive/ scaled images + Microformat Schema for image SEO" aria-label="PICTURE tag + webP + native lazy load + lazy load by Lazysizes + responsive/ scaled images + Microformat Schema for image SEO"><strong>PICTURE tag + webP + native lazy load + lazy load by Lazysizes + responsive/ scaled images + Microformat Schema for image SEO</strong></a></li>
</ol>
<ul>
<li>3. should be used when using "img" tag.</li>
<li>8. should be used when using "picture" tag.</li>
<li>above other bullet points are just intermediate steps to better understand the end result.</li>
</ul>
<a href="https://imagehandling.drossmedia.de/image-handling.zip" rel="noopener" title="Download image handling package in ZIP file format" aria-label="Download image handling package in ZIP file format">Download image handling package in ZIP file format</a></br>
<a href="https://imagehandling.drossmedia.de/browser-recording_responsive-images.webm" target="_blank" rel="noopener" title="View 15 sec video which summarizes scaled/ responsive images" aria-label="View 15 sec video which summarizes scaled/ responsive images">View 15 sec video which summarizes scaled/ responsive images</a>
<hr/>
<strong>Requirements:</strong>
<ul>
<li>Native lazy load - (loading="lazy")</li>
<li>Lazy load of images by Lazysizes, for older browsers - (class="lazyload")</li>
<li>Create web ready images and compress them</li>
<li>Displays images with incorrect aspect ratio</li>
<li>webP image formats - (picture tag and type="image/webp")</li>
<li>Responsive/ scaled images in 5 different dimensions as we use 5 breakpoints - (img tag: sizes="XXvw"; picture tag: (min-width: XXpx) and (max-width: YYpx))</li>
<li>Optimize reg Cumulative Layout Shits - (adding image dimensions: width/ height to each image per breakpoint)</li>
<li>ALT + title tags on images + "description of the image"</li>
<li>Optimize with structured data markups in Microdata format - (adding itemtype="https://schema.org/ImageObject")</li>
</ul>

<strong>Sources:</strong>
<ul>
 	<li><a href="https://web.dev/use-lazysizes-to-lazyload-images/" target="_blank" rel="noopener" title="Use lazysizes to lazyload images on older browsers" aria-label="Use lazysizes to lazyload images on older browsers">https://web.dev/use-lazysizes-to-lazyload-images/</a></li>
	<li><a href="https://web.dev/uses-optimized-images/" target="_blank" rel="noopener" title="create web ready images and compress them" aria-label="create web ready images and compress them">https://web.dev/uses-optimized-images/</a></li>
	<li><a href="https://web.dev/image-aspect-ratio/" target="_blank" rel="noopener" title="Displays images with incorrect aspect ratio" aria-label="Displays images with incorrect aspect ratio">https://web.dev/image-aspect-ratio/</a></li>
	<li><a href="https://web.dev/serve-images-webp/" target="_blank" rel="noopener" title="Use WebP images" aria-label="Use WebP images">https://web.dev/serve-images-webp/</a></li>
 	<li><a href="https://web.dev/serve-responsive-images/" target="_blank" rel="noopener" title="Serve responsive images for each break point + retina display" aria-label="Serve responsive images for each break point + retina display">https://web.dev/serve-responsive-images/</a></li>
 	<li><a href="https://web.dev/optimize-cls/" target="_blank" rel="noopener" title="Optimize Cumulative Layout Shift" aria-label="Optimize Cumulative Layout Shift">https://web.dev/optimize-cls/</a></li>
	<li><a href="https://schema.org/ImageObject#examples" target="_blank" rel="noopener" title="Use structured data markup in Microdata format to optimize images for SEO" aria-label="Use structured data markup in Microdata format to optimize images for SEO">https://schema.org/ImageObject</a></li>
	</ul>
</body>
</html>