<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8"/>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<script src="lazysizes.min.js" async></script>
<title>3. IMG tag, + native lazy load + lazy load by Lazysizes - resolution switching: by different sizes + Microformat Schema for image SEO</title>
</head>
<body>
<!-- adding "data-nosnippet" to div box will prevent displaying the image in a featured snippet, for HCP sites only
<div class="xl-content__full-width-image" data-nosnippet itemscope itemtype="https://schema.org/ImageObject"> -->
<div class="xl-content__full-width-image" itemscope itemtype="https://schema.org/ImageObject">
	<figure class="xl-content__full-width-image__figure" role="group" aria-labelledby="A_UNIQUE_ID_FOR_THIS_FIGCAPTION">
<!-- here: resolution switching: by different sizes (preferred option) -->
<!-- loading="lazy" (native lazy load) needs to be first, class="lazyload" second, as older browsers which do not support native lazy load will jump straight to the class -->
<!-- alt + title tag as well as description has to come from DAM, but with option to overwrite locally in website backend -->
		<img data-src="image_fallback.jpg" sizes="100vw" data-srcset="image_small.jpg 320w, image_medium.jpg 560w, image_medium-large.jpg 1024w, image_large.jpg 1440w, image_xlarge.jpg 1920w"
			loading="lazy"
			class="lazyload"
			alt="3. IMG tag only, + native lazy load + lazy load by Lazysizes - resolution switching: by different sizes + Microformat Schema for image SEO" 
			title="3. IMG tag only, + native lazy load + lazy load by Lazysizes - resolution switching: by different sizes + Microformat Schema for image SEO">
<!-- if description of the image should be hidden, please use the itemprop in line 29 --> 
		<figcaption id="A_UNIQUE_ID_FOR_THIS_FIGCAPTION" class="xl-content__full-width-image__figure-caption" itemprop="description">
			long Description here which appears close by the image - 3. IMG tag only, + native lazy load + lazy load by Lazysizes - resolution switching: by different sizes + Microformat Schema for image SEO.
		</figcaption>
	</figure>
<!-- Drupal Tokens can be used to get the values -->
	<span itemprop="name" content="inherits value of ALT/ TITLE tag"></span>
<!-- only if description should be hidden, use:	<span itemprop="description" content="description of the image - 100-150 characters"></span> -->	
<!-- itemprop="contentUrl" inherits value of medium sized image in png/jpg format -->
	<span itemprop="contentUrl" content="img_fallback_url"></span>
	<span itemprop="author" content="Boehringer Ingelheim"></span>
	<span itemprop="publisher" content="Boehringer Ingelheim"></span>
<!-- Dates in https://en.wikipedia.org/wiki/ISO_8601 format, from DAM -->
	<span itemprop="datePublished" content="2008-01-25"></span>
	<span itemprop="dateModified" content="2019-05-21"></span>
	<span itemprop="expires" content="2022-12-19"></span>
	<div itemscope itemprop="identifier" itemtype="https://schema.org/PropertyValue">
        <span itemprop="propertyID" content="data-it-asset-viewed"></span>
        <span itemprop="value" content="DAM Asset ID Here"></span>
    </div>
</div>
</body>
</html>