<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8"/>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<title>WebDev: Image handling examples - Overview</title>
<meta name="title" content="WebDev: Image handling examples - Overview" />
<meta name="robots" content="index,follow,noodp,noydir" />
<meta name="keywords" content="web dev, website development, web development, web vitals, page speed, image handling picture tag, lazy load, lazysizes, structured data markup," />
<meta name="page-topic" content="webdev" />
<meta name="author" content="https://dross.net/alexander/" />
<meta name="publisher" content="https://dross.net/alexander/" />
<meta name="copyright" content="Alexander Dross" />
<meta name="description" content="Understand how to use images, image dimensions and lazy load on websites properly to ensure freaking fast loading pages." />
<meta name="abstract" content="Understand how to use images, image dimensions and lazy load on websites properly to ensure freaking fast loading pages." />
<meta name="language" content="en" />
<link rel="canonical" href="https://dross.net/alexander/blog/image-handling" />

<meta property="og:url" content="https://dross.net/alexander/blog/image-handling" />
<meta property="og:site_name" content="WebDev: Image handling examples - Overview" />
<meta property="og:title" content="WebDev: Image handling examples - Overview" />
<meta property="fb:title" content="WebDev: Image handling examples - Overview" />
<meta property="og:description" content="Understand how to use images, image dimensions and lazy load on websites properly to ensure freaking fast loading pages." />
<meta property="og:type" content="website" />
<meta property="og:updated_time" content="2020-09-18T07:57:02+00:00" />
<meta property="article:published_time" content="2020-06-07T13:37:51+00:00" />
<meta property="article:modified_time" content="2020-09-18T07:57:02+00:00" />

<meta name="twitter:card" content="summary" />
<meta name="twitter:site" content="@alexanderdross" />
<meta name="twitter:url" content="https://dross.net/alexander/blog/image-handling" />
<meta name="twitter:title" content="WebDev: Image handling examples - Overview" />
<meta name="twitter:description" content="Understand how to use images, image dimensions and lazy load on websites properly to ensure freaking fast loading pages." />

<script type="application/ld+json">
{
  "@context": "https://schema.org",
  "@type": "NewsArticle",
  "mainEntityOfPage": {
	"@type": "WebPage",
	"@id": "https://dross.net/alexander/blog/image-handling",
	"url": "https://dross.net/alexander/blog/image-handling"
  },
  "author": {
	"@type": "Person",
	"name": "Alexander Dross",
	"description":"Alexander Dross is a subject matter expert in SEM, SEO, SEA, Web Performance and Web Strategy",
	"url":"https://dross.net/alexander/"
  },
   "publisher": {
	"@type": "Organization",
	"name": "Dross:Media",
	"description":"Agentur für Suchmaschinen Strategie- &amp; Optimierung (SEO) - &#x1F3AF; Dross:Media",
	"url":"https://dross.net/media/",
	"logo": {
	  "@type": "ImageObject",
	  "url": "https://dross.net/media/images/dross_media_Agentur_fuer_Suchmaschinenstrategie_und_Optimierung_SEO.jpg"
	}
  },
	  "headline":"WebDev: Image handling examples - Overview",
	  "abstract":"WebDev: Image handling examples - Overview",
	  "image":"https://dross.net/media/images/dross_media_Agentur_fuer_Suchmaschinenstrategie_und_Optimierung_SEO.jpg",
	  "description":"Understand how to use images, image dimensions and lazy load on websites properly to ensure freaking fast loading pages.",
	  "datePublished" : "2020-06-07T13:37:51+00:00",
	  "dateModified" : "2020-09-18T07:57:02+00:00",
	  "articleBody":"This page explains how to properly use images on websites, to ensure fast loading pages and does not use any styles on purpose to keep the code as clean as possible. Below example uses own version of images per each break point rather dann resizing images per html or CSS only. Each image conatiner will then contain 21 versions of an image: in 5 dimensions as we have 5 break points; 5x webP image format for modern browsers, both formats (JPEG/ PNG and webP) optimized for retina displays and one fall-back image for older browsers which do not support picture tag. Version 3 and 8 have microdata format for structured data markups buil-in."
  }
</script>
<script type="application/ld+json">
	{
	"@context" : "https://schema.org",
	"@type" : "ProfessionalService",
	"name" : "Dross:Media",
	"alternateName":"Agentur für Suchmaschinen Strategie- &amp; Optimierung (SEO) - &#x1F3AF; Dross:Media",
	"description":"Als Google Partner zertifizierter Search Lead eines Pharmakonzerns, mit mehr als 10 Jahren Erfahrung, führe ich Ihre Webseite zum messbaren Erfolg!",
	"telephone":"+4915122954547",
	"priceRange":"€€",
	"employee":"Alexander Dross",
	"url" : "https://dross.net/media/",
	"image": {
        "@type": "ImageObject",
        "url": "https://dross.net/media/images/dross_media_Agentur_fuer_Suchmaschinenstrategie_und_Optimierung_SEO.jpg",
        "width": 450,
        "height": 450
    },
	"logo": {
        "@type": "ImageObject",
        "url": "https://dross.net/media/images/dross_media_Agentur_fuer_Suchmaschinenstrategie_und_Optimierung_SEO.jpg",
        "width": 450,
        "height": 450
    },
	"sameAs": [
	  "https://www.facebook.com/alexdross",
	  "https://www.linkedin.com/in/alexanderdross",
	  "https://www.xing.com/profile/Alexander_Dross2/",
	  "https://www.youtube.com/c/AlexanderDross",
	  "https://twitter.com/alexanderdross"
	],
"aggregateRating" : {
	"@type" : "AggregateRating",
	"ratingValue": "5.0",
	"ratingCount": "21",
	"reviewCount": "21",    
	"bestRating": "5",
	"worstRating": "1"
},
"contactPoint" : [
{ "@type" : "ContactPoint",
  "telephone" : "+4915122954547",
  "contactType" : "customer service"
}
]
}
</script>
<link rel="apple-touch-icon" sizes="57x57" href="https://dross.net/media/images/apple-icon-57x57.png">
<link rel="apple-touch-icon" sizes="60x60" href="https://dross.net/media/images/apple-icon-60x60.png">
<link rel="apple-touch-icon" sizes="72x72" href="https://dross.net/media/images/apple-icon-72x72.png">
<link rel="apple-touch-icon" sizes="76x76" href="https://dross.net/media/images/apple-icon-76x76.png">
<link rel="apple-touch-icon" sizes="114x114" href="https://dross.net/media/images/apple-icon-114x114.png">
<link rel="apple-touch-icon" sizes="120x120" href="https://dross.net/media/images/apple-icon-120x120.png">
<link rel="apple-touch-icon" sizes="144x144" href="https://dross.net/media/images/apple-icon-144x144.png">
<link rel="apple-touch-icon" sizes="152x152" href="https://dross.net/media/images/apple-icon-152x152.png">
<link rel="apple-touch-icon" sizes="180x180" href="https://dross.net/media/images/apple-icon-180x180.png">
<link rel="icon" type="image/png" sizes="192x192" href="https://dross.net/media/images/android-icon-192x192.png">
<link rel="icon" type="image/png" sizes="32x32" href="https://dross.net/media/images/favicon-32x32.png">
<link rel="icon" type="image/png" sizes="96x96" href="https://dross.net/media/images/favicon-96x96.png">
<link rel="icon" type="image/png" sizes="16x16" href="https://dross.net/media/images/favicon-16x16.png">
<meta name="msapplication-TileColor" content="#ffffff">
<meta name="theme-color" content="#296b9d">
</head>
<body>
<h1>IMAGE HANDLING EXAMPLES</h1>
<p>This page explains how to properly use images on websites, to ensure fast loading pages and does not use any styles on purpose to keep the code as clean as possible. Below example uses own version of images per each break point rather dann resizing images per html or CSS only.</p>
<p>Each image conatiner will then contain 21 versions of an image: in 5 dimensions as we have 5 break points; 5x webP image format for modern browsers, both formats (JPEG/ PNG and webP) optimized for retina displays and one fall-back image for older browsers which do not support picture tag.</p>
<p>Version 3 and 8 contain build-in microdata format for structured data markups.</p>
<br>
<ol>
 	<li><a href="https://imagehandling.drossmedia.de/test1.php" target="_blank" rel="noopener" title="IMG tag, no lazy load" aria-label="IMG tag, no lazy load">IMG tag, no lazy load</a></li>
 	<li><a href="https://imagehandling.drossmedia.de/test2.php" target="_blank" rel="noopener" title="IMG tag + native lazy load + lazy load by Lazysizes" aria-label="IMG tag + native lazy load + lazy load by Lazysizes">IMG tag + native lazy load + lazy load by Lazysizes</a></li>
<ol>	<li><a href="https://imagehandling.drossmedia.de/test2_1.php" target="_blank" rel="noopener" title="IMG tag + native lazy load + lazy load by Lazysizes - resolution switching: Same size, different resolutions" aria-label="IMG tag + native lazy load + lazy load by Lazysizes - resolution switching: Same size, different resolutions">IMG tag + native lazy load + lazy load by Lazysizes - resolution switching: Same size, different resolutions</a></li>
		<li><a href="https://imagehandling.drossmedia.de/test2_2.php" target="_blank" rel="noopener" title="IMG tag + native lazy load + lazy load by Lazysizes - resolution switching: by different sizes" aria-label="IMG tag + native lazy load + lazy load by Lazysizes - resolution switching: by different sizes">IMG tag + native lazy load + lazy load by Lazysizes - resolution switching: by different sizes</a></li>
</ol>	<li><a href="https://imagehandling.drossmedia.de/test3.php" target="_blank" rel="noopener" title="IMG tag + native lazy load + lazy load by Lazysizes + Microformat Schema for image SEO" aria-label="IMG tag + native lazy load + lazy load by Lazysizes + Microformat Schema for image SEO"><strong>IMG tag + native lazy load + lazy load by Lazysizes + Microformat Schema for image SEO</strong></a></li>
	<li><a href="https://imagehandling.drossmedia.de/test4.php" target="_blank" rel="noopener" title="IMG tag to PICTURE tag + webP, no lazy load" aria-label="IMG tag to PICTURE tag + webP, no lazy load">IMG tag to PICTURE tag + webP, no lazy load</a></li>
 	<li><a href="https://imagehandling.drossmedia.de/test5.php" target="_blank" rel="noopener" title="PICTURE tag + webP + native lazy load + lazy load by Lazysizes" aria-label="PICTURE tag + webP + native lazy load + lazy load by Lazysizes">PICTURE tag + webP + native lazy load + lazy load by Lazysizes</a></li>
 	<li><a href="https://imagehandling.drossmedia.de/test6.php" target="_blank" rel="noopener" title="PICTURE tag + webP + responsive/ scaled images, no lazy load" aria-label="PICTURE tag + webP + responsive/ scaled images, no lazy load">PICTURE tag + webP + responsive/ scaled images, no lazy load</a></li>
 	<li><a href="https://imagehandling.drossmedia.de/test7.php" target="_blank" rel="noopener" title="PICTURE tag + webP + native lazy load + lazy load by Lazysizes + responsive/ scaled images" aria-label="PICTURE tag + webP + native lazy load + lazy load by Lazysizes + responsive/ scaled images">PICTURE tag + webP + native lazy load + lazy load by Lazysizes + responsive/ scaled images</a></li>
	<li><a href="https://imagehandling.drossmedia.de/test8.php" target="_blank" rel="noopener" title="PICTURE tag + webP + native lazy load + lazy load by Lazysizes + responsive/ scaled images + Microformat Schema for image SEO" aria-label="PICTURE tag + webP + native lazy load + lazy load by Lazysizes + responsive/ scaled images + Microformat Schema for image SEO"><strong>PICTURE tag + webP + native lazy load + lazy load by Lazysizes + responsive/ scaled images + Microformat Schema for image SEO</strong></a></li>
</ol>
<ul>
<li>3. should be used when using "img" tag.</li>
<li>8. should be used when using "picture" tag.</li>
<li>above other bullet points are just intermediate steps to better understand the end result.</li>
</ul>
<a href="https://imagehandling.drossmedia.de/image-handling.zip" rel="noopener" title="Download image handling package in ZIP file format" aria-label="Download image handling package in ZIP file format">Download image handling package in ZIP file format</a><br/>
<a href="https://imagehandling.drossmedia.de/browser-recording_responsive-images.webm" target="_blank" rel="noopener" title="View 15 sec video which summarizes scaled/ responsive images" aria-label="View 15 sec video which summarizes scaled/ responsive images">View 15 sec video which summarizes scaled/ responsive images</a>
<hr/>
<strong>Requirements:</strong>
<ul>
<li>Native lazy load - (loading="lazy")</li>
<li>Lazy load of images by Lazysizes, for older browsers - (class="lazyload")</li>
<li>Create web ready images and compress them</li>
<li>Displays images with incorrect aspect ratio</li>
<li>webP image formats - (picture tag and type="image/webp")</li>
<li>Responsive/ scaled images in 5 different dimensions as we use 5 breakpoints - (img tag: sizes="XXvw"; picture tag: (min-width: XXpx) and (max-width: YYpx))</li>
<li>Optimize reg Cumulative Layout Shits - (adding image dimensions: width/ height to each image per breakpoint)</li>
<li>ALT + title tags on images + "description of the image"</li>
<li>Optimize with structured data markups in Microdata format - (adding itemtype="https://schema.org/ImageObject")</li>
</ul>

<strong>Sources:</strong>
<ul>
 	<li><a href="https://web.dev/use-lazysizes-to-lazyload-images/" target="_blank" rel="noopener" title="Use lazysizes to lazyload images on older browsers" aria-label="Use lazysizes to lazyload images on older browsers">https://web.dev/use-lazysizes-to-lazyload-images/</a></li>
	<li><a href="https://web.dev/uses-optimized-images/" target="_blank" rel="noopener" title="create web ready images and compress them" aria-label="create web ready images and compress them">https://web.dev/uses-optimized-images/</a></li>
	<li><a href="https://web.dev/image-aspect-ratio/" target="_blank" rel="noopener" title="Displays images with incorrect aspect ratio" aria-label="Displays images with incorrect aspect ratio">https://web.dev/image-aspect-ratio/</a></li>
	<li><a href="https://web.dev/serve-images-webp/" target="_blank" rel="noopener" title="Use WebP images" aria-label="Use WebP images">https://web.dev/serve-images-webp/</a></li>
 	<li><a href="https://web.dev/serve-responsive-images/" target="_blank" rel="noopener" title="Serve responsive images for each break point + retina display" aria-label="Serve responsive images for each break point + retina display">https://web.dev/serve-responsive-images/</a></li>
 	<li><a href="https://web.dev/optimize-cls/" target="_blank" rel="noopener" title="Optimize Cumulative Layout Shift" aria-label="Optimize Cumulative Layout Shift">https://web.dev/optimize-cls/</a></li>
	<li><a href="https://schema.org/ImageObject#examples" target="_blank" rel="noopener" title="Use structured data markup in Microdata format to optimize images for SEO" aria-label="Use structured data markup in Microdata format to optimize images for SEO">https://schema.org/ImageObject</a></li>
	</ul>
<hr/>
<a href="https://dross.net/alexander/" target="_blank" rel="noopener" title="Author: Alexander Dross" aria-label="Author: Alexander Dross">Author: Alexander Dross</a><br/>
<a href="https://dross.net/media/" target="_blank" rel="noopener" title="Dross:Media - Agency for Search Engine Strategy & Web Performance" aria-label="Dross:Media - Agency for Search Engine Strategy & Web Performance">Dross:Media - Agency for Search Engine Strategy & Web Performance</a>

</body>
</html>